ProctorFree

            Which Internet Browser Should I Use?

            ProctorFree requires the use of Firefox ESR or Internet Explorer 11+

            Firefox has removed support for NPAPI plugins which impacts the ability to load Java, Microsoft Silverlight and Adobe Acrobat.
            Test takers will need to install Firefox Extended Support Release version (32-bit for Windows) to ensure they're able to run Java.

            Firefox ESR

            Check out our "How do I install Firefox ESR?" guide or contact our support team and we'll be happy to assist with the download and install.

            Not sure how to check if your browser is a compatible version? Check out our 'How do I check my browser version?' article or contact our support team and we'll be happy to assist!
            Updated: 14 Nov 2017 11:10 AM
            Helpful?  
            Help us to make this article better
            1 6